## deepin-deb-installer 5.8.20

=== src/AptInstallDepend/CMakeLists.txt ===
# Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
#
# Author:     cuizhen <cuizhen@deepin.io>
#
# Maintainer: cuizhen <cuizhen@uniontech.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
cmake_minimum_required(VERSION 3.13)

if (NOT DEFINED VERSION)
    set(VERSION 5.3.9)
endif ()

project(AptInstallDepend)
set (EXE_NAME deepin-deb-installer-dependsInstall)
set(LINK_LIBS
    Qt5::Core
)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")

#安全测试加固编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -z relro -z now -z noexecstack -pie")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS}  -z relro -z now -z noexecstack -pie")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -fstack-protector-all")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS}  -fstack-protector-all")

#add process directories
string(REGEX REPLACE "(.*)/(.*)" "\\1" PROJECT_INIT_PATH  ${PROJECT_SOURCE_DIR})
include_directories(${PROJECT_INIT_PATH}/deb-installer/process)

file(GLOB_RECURSE AUTH_CPP_FILES ${CMAKE_CURRENT_LIST_DIR}/*.cpp ${PROJECT_INIT_PATH}/deb-installer/process/*.cpp)
add_executable (${EXE_NAME}
    ${AUTH_CPP_FILES}
)

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Core REQUIRED)
set(CMAKE_INSTALL_PREFIX /usr)
# Install files
install(TARGETS ${EXE_NAME} DESTINATION bin)
target_link_libraries(${EXE_NAME} ${LINK_LIBS} )
target_link_libraries(${EXE_NAME}
    Qt5::Core
    Qt5::Widgets
    Qt5::Gui)

=== src/deb-installer/CMakeLists.txt ===
# Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
#
# Author:     cuizhen <cuizhen@deepin.io>
#
# Maintainer: cuizhen <cuizhen@uniontech.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.7)
if (NOT DEFINED VERSION)
    message(WARNING "Not defined version ,about dialog version set 5.3.9")
    set(VERSION 5.3.9)
endif ()

#common resource names
set(APP_RES_DIR "${CMAKE_SOURCE_DIR}/assets")
set(APP_BIN_NAME "deepin-deb-installer")
set(APP_TRANS_SCRIPT "${APP_RES_DIR}/translate_generation.sh")
set(APP_DESKTOP "${APP_RES_DIR}/deepin-deb-installer.desktop")
set(APP_QRC "${APP_RES_DIR}/resources.qrc")

project(${APP_BIN_NAME})

set(CMAKE_VERBOSE_MAKEFILE ON)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
set(CMAKE_CXX_FLAGS "-Wl,--as-need -fPIE")
set(CMAKE_EXE_LINKER_FLAGS "-pie")

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy")

if(CMAKE_COVERAGE_ARG STREQUAL "CMAKE_COVERAGE_ARG_ON")
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -fprofile-arcs -ftest-coverage")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -fprofile-arcs -ftest-coverage")
endif()

#安全测试加固编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -z relro -z now -z noexecstack -pie")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS}  -z relro -z now -z noexecstack -pie")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -fstack-protector-all")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS}  -fstack-protector-all")

if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
endif ()

#compile flags
if (CMAKE_BUILD_TYPE MATCHES Debug)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Wextra")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Wextra")

  # Enable Qt builtin debug mode
  add_definitions("-DQT_MESSAGELOGCONTEXT")

  # 添加宏定义只在debug模式下输出性能打点日志
  add_definitions("-DDEBUG")

  if(CMAKE_SAFETYTEST)
  #安全测试选项
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=undefined,address -O2")
    set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -fsanitize=undefined,address -O2")
    set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -g -fsanitize=undefined,address -O2")
    set(CMAKE_C_FLAGS_MINSIZEREL "${CMAKE_C_FLAGS_MINSIZEREL} -g -fsanitize=undefined,address -O2")
    set(CMAKE_C_FLAGS_RELWITHDEBINFO "${CMAKE_C_FLAGS_RELWITHDEBINFO} -g -fsanitize=undefined,address -O2")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=undefined,address -O2")
    set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -fsanitize=undefined,address -O2")
    set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -g -fsanitize=undefined,address -O2")
    set(CMAKE_CXX_FLAGS_MINSIZEREL "${CMAKE_CXX_FLAGS_MINSIZEREL} -g -fsanitize=undefined,address -O2")
    set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO}  -g -fsanitize=undefined,address -O2")
   endif()

else()
  # -Wl, -O2 Enable linker optimizations
  # -Wl, --gc-sections Remove unused code resulting from -fdsta-sections and
  # -ffunction-sections
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -O2 -Wl,-O1 -Wl,--gc-sections")

endif()

#Generate the qm file
execute_process(COMMAND bash ${APP_TRANS_SCRIPT}
                    WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/")

configure_file(${APP_RES_DIR}/environments.h.in environments.h @ONLY)

add_definitions(-DUSE_POLKIT -DENABLE_INACTIVE_DISPLAY)
# Find the library

find_package(PkgConfig REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Core REQUIRED)
find_package(Qt5LinguistTools REQUIRED)
find_package(Qt5Concurrent REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(DtkGui REQUIRED)
find_package(DtkCore REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(PolkitQt5-1 REQUIRED)
set(LINK_LIBS
    Qt5::Core
    Qt5::Widgets
    Qt5::Gui
    Qt5::DBus
    QApt
    Qt5::Concurrent
    ${DtkWidget_LIBRARIES}
    ${DtkCore_LIBRARIES}
    ${DtkGUI_LIBRARIES}
)

macro(SUBDIRLIST result curdir)
    file(GLOB children RELATIVE ${curdir} ${curdir}/*)
    set(dirlist "")
    foreach(child ${children})
        if(IS_DIRECTORY ${curdir}/${child})
            LIST(APPEND dirlist ${child})
        endif()
    endforeach()
    set(${result} ${dirlist})
endmacro()

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

SUBDIRLIST(all_src ${CMAKE_CURRENT_SOURCE_DIR})

#Include all app own subdirectorys
foreach(subdir ${all_src})
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}${subdir})
endforeach()

include_directories(${CMAKE_CURRENT_LIST_DIR}/utils)

file(GLOB_RECURSE APP_SRCS
    ${CMAKE_CURRENT_LIST_DIR}/*.cpp
    ${CMAKE_CURRENT_LIST_DIR}/manager/*.cpp
    ${CMAKE_CURRENT_LIST_DIR}/model/*.cpp
    ${CMAKE_CURRENT_LIST_DIR}/utils/*.cpp
    ${CMAKE_CURRENT_LIST_DIR}/process/*.cpp
    ${CMAKE_CURRENT_LIST_DIR}/view/pages/*.cpp
    ${CMAKE_CURRENT_LIST_DIR}/view/widgets/*.cpp

    )

include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})

# Tell CMake to create the executable
add_executable(${PROJECT_NAME} ${APP_SRCS} ${APP_QRC})

target_include_directories(${APP_BIN_NAME}
    PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR})

target_link_libraries(${APP_BIN_NAME}
    Qt5::Core
    Qt5::Widgets
    Qt5::Gui
    Qt5::DBus
    QApt
    Qt5::Concurrent
    PolkitQt5-1::Agent
    ${DtkWidget_LIBRARIES}
    ${DtkCore_LIBRARIES}
    ${DtkGUI_LIBRARIES}
)
set(CMAKE_INSTALL_PREFIX /usr)

# Install files
install(DIRECTORY ${APP_RES_DIR}/deepin-deb-installer DESTINATION /usr/share/deepin-manual/manual-assets/application/)
install(TARGETS deepin-deb-installer RUNTIME DESTINATION bin)
install(FILES ${APP_CONFIG} DESTINATION share/deepin-deb-installer)
install(FILES ${APP_DESKTOP} DESTINATION share/applications)

=== translations/policy/CMakeLists.txt ===
# Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
#
# Author:     cuizhen <cuizhen@deepin.io>
#
# Maintainer: cuizhen <cuizhen@uniontech.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

find_program(POLICY_TS_CONV deepin-policy-ts-convert REQUIRED)
add_custom_target(APP_POLICY_FILE
    ALL
    COMMAND ${POLICY_TS_CONV} ts2policy ${CMAKE_CURRENT_SOURCE_DIR}/${POLICY_FILE} ${CMAKE_CURRENT_SOURCE_DIR}/ ${POLICY_FILE}.tmp
    COMMAND mv ${POLICY_FILE}.tmp ${POLICY_FILE}
)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${POLICY_FILE} DESTINATION share/polkit-1/actions)

=== debian/changelog ===
deepin-deb-installer (5.8.20-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 26 Jul 2022 14:53:29 +0800

=== debian/control ===
Source: deepin-deb-installer
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 9), pkg-config, cmake, libqt5widgets5, libqt5concurrent5, libqapt-dev, libdtkwidget-dev, qtbase5-dev, qttools5-dev-tools, qttools5-dev, qtchooser, libgtest-dev,  deepin-gettext-tools,  libpolkit-qt5-1-dev
Standards-Version: 4.3.0
Homepage: https://www.deepin.com/

Package: deepin-deb-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt3-runtime, libqapt3, deepin-elf-sign-tool
Description: Package Installer helps users install and remove local packages.
 Package Installer is an easy-to-use .deb package management tool 
 with a simple interface for users to quickly install customized applications
 not included in App Store supporting bulk installation, version identification
 and auto completion.

=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT := 5
# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
include /usr/share/dpkg/default.mk

override_dh_auto_configure:
	dh_auto_configure -- \
    -DCMAKE_BUILD_TYPE=Release \
    -DCMAKE_SAFETYTEST_ARG="CMAKE_SAFETYTEST_ARG_OFF" \
    -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) -DVERSION=$(DEB_VERSION_UPSTREAM) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)
%:
	dh $@ --parallel

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

## deepin-deb-installer 5.8.24

=== tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

cmake_minimum_required(VERSION 3.7)
if (NOT DEFINED VERSION)
    message(WARNING "Not defined version ,about dialog version set 5.3.9")
    set(VERSION 5.3.9)
endif ()

find_package(GTest REQUIRED)
include_directories(${GTEST_INCLUDE_DIRS})
#common resource names
set(APP_RES_DIR "${CMAKE_SOURCE_DIR}/assets")
set(APP_BIN_NAME_TEST "deepin-deb-installer-test")
set(APP_TRANS_SCRIPT "${APP_RES_DIR}/translate_generation.sh")
set(APP_DESKTOP "${APP_RES_DIR}/deepin-deb-installer.desktop")
set(APP_QRC "${APP_RES_DIR}/resources.qrc")

project(${APP_BIN_NAME_TEST})


ADD_COMPILE_OPTIONS(-fno-access-control)

set(CMAKE_VERBOSE_MAKEFILE ON)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,--as-need -fPIE")
set(CMAKE_EXE_LINKER_FLAGS "-pie")

#安全测试加固编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -z relro -z now -z noexecstack -pie")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS}  -z relro -z now -z noexecstack -pie")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -fstack-protector-all")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS}  -fstack-protector-all")

if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "sw_64")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
endif ()

set(CMAKE_SAFETYTEST "${CMAKE_SAFETYTEST_ARG}")

if(CMAKE_SAFETYTEST STREQUAL "")
    set(CMAKE_SAFETYTEST "CMAKE_SAFETYTEST_ARG_OFF")
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D${CMAKE_SAFETYTEST}")

if(CMAKE_SAFETYTEST STREQUAL "CMAKE_SAFETYTEST_ARG_ON")
  #安全测试选项
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fsanitize=undefined,address -O2")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fsanitize=undefined,address -O2")
endif()

#compile flags
if (CMAKE_BUILD_TYPE MATCHES Debug)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -Wall -Wextra")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Wextra")

  # Enable Qt builtin debug mode
  add_definitions("-DQT_MESSAGELOGCONTEXT")

else()
  # -Wl, -O2 Enable linker optimizations
  # -Wl, --gc-sections Remove unused code resulting from -fdsta-sections and
  # -ffunction-sections
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -O2 -Wl,-O1 -Wl,--gc-sections")
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -fprofile-arcs -ftest-coverage")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g -fprofile-arcs -ftest-coverage")

#Generate the qm file
execute_process(COMMAND bash ${APP_TRANS_SCRIPT}
                    WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/")

configure_file(${APP_RES_DIR}/environments.h.in environments.h @ONLY)

add_definitions(-DUSE_POLKIT -DENABLE_INACTIVE_DISPLAY)
# Find the library

find_package(PkgConfig REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Core REQUIRED)
find_package(Qt5LinguistTools REQUIRED)
find_package(Qt5Concurrent REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(DtkGui REQUIRED)
find_package(DtkCore REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5Test REQUIRED)
find_package(PolkitQt5-1 REQUIRED)


set(LINK_LIBS
    Qt5::Core
    Qt5::Widgets
    Qt5::Gui
    Qt5::DBus
    QApt
    Qt5::Concurrent
    ${DtkWidget_LIBRARIES}
    ${DtkCore_LIBRARIES}
    ${DtkGUI_LIBRARIES}
)

macro(SUBDIRLIST result curdir)
    file(GLOB children RELATIVE ${curdir} ${curdir}/*)
    set(dirlist "")
    foreach(child ${children})
        if(IS_DIRECTORY ${curdir}/${child})
            LIST(APPEND dirlist ${child})
        endif()
    endforeach()
    set(${result} ${dirlist})
endmacro()

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../src/deb-installer)

SUBDIRLIST(all_src ${CMAKE_CURRENT_SOURCE_DIR}/../src/deb-installer/)

#Include all app own subdirectorys
foreach(subdir ${all_src})
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}${subdir})
endforeach()

file(GLOB_RECURSE APP_SRCS
    ${CMAKE_CURRENT_LIST_DIR}/../src/deb-installer/singleInstallerApplication.cpp
    ${CMAKE_CURRENT_LIST_DIR}/../src/deb-installer/manager/*.cpp
    ${CMAKE_CURRENT_LIST_DIR}/../src/deb-installer/model/*.cpp
    ${CMAKE_CURRENT_LIST_DIR}/../src/deb-installer/utils/*.cpp
    ${CMAKE_CURRENT_LIST_DIR}/../src/deb-installer/process/*.cpp
    ${CMAKE_CURRENT_LIST_DIR}/../src/deb-installer/view/pages/*.cpp
    ${CMAKE_CURRENT_LIST_DIR}/../src/deb-installer/view/widgets/*.cpp
    )
FILE(GLOB allTestSource
  src/*.cpp
  src/manager/*.cpp
  src/model/*.cpp
  src/utils/*.cpp
  src/view/pages/*.cpp
  src/view/widgets/*.cpp
)
include_directories(src)
include_directories( ${CMAKE_CURRENT_LIST_DIR}/../src/deb-installer/)
include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})

# Tell CMake to create the executable
add_executable(${APP_BIN_NAME_TEST} ${APP_SRCS} ${APP_QRC} ${TEST_ACCESSIBLE_HEADERS_FILES}  ${allTestSource} )

target_include_directories(${APP_BIN_NAME_TEST}
    PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR})


target_link_libraries(${APP_BIN_NAME_TEST}
    Qt5::Core
    Qt5::Widgets
    Qt5::Gui
    Qt5::DBus
    QApt
    PolkitQt5-1::Agent
    Qt5::Test
    Qt5::Concurrent
    ${DtkWidget_LIBRARIES}
    ${DtkCore_LIBRARIES}
    ${DtkGUI_LIBRARIES}
    ${GTEST_LIBRARIES}
    ${GTEST_MAIN_LIBRARIES}
    pthread
)

#add_custom_target(test
#    COMMAND echo " =================== TEST BEGIN ==================== "
#    COMMAND ${CMAKE_BINARY_DIR}/tests/${APP_BIN_NAME_TEST}
#    COMMAND echo " =================== TEST END ==================== "
#)

=== src/AptInstallDepend/CMakeLists.txt ===
--- 
+++ 
@@ -1,21 +1,7 @@
-# Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
+# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
 #
-# Author:     cuizhen <cuizhen@deepin.io>
-#
-# Maintainer: cuizhen <cuizhen@uniontech.com>
-#
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+# SPDX-License-Identifier: CC0-1.0
+
 cmake_minimum_required(VERSION 3.13)
 
 if (NOT DEFINED VERSION)

=== src/deb-installer/CMakeLists.txt ===
--- 
+++ 
@@ -1,21 +1,6 @@
-# Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
+# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
 #
-# Author:     cuizhen <cuizhen@deepin.io>
-#
-# Maintainer: cuizhen <cuizhen@uniontech.com>
-#
-# This program is free software: you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation, either version 3 of the License, or
-# any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+# SPDX-License-Identifier: CC0-1.0
 
 cmake_minimum_required(VERSION 3.7)
 if (NOT DEFINED VERSION)

=== src/deepin-deb-installer-dev/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

cmake_minimum_required(VERSION 3.13)

if (NOT DEFINED VERSION)
    set(VERSION 5.3.9)
endif ()
set(APP_BIN_NAME "libdeepin-deb-installer")

project(deepin-deb-installer-dev)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")

find_package(PkgConfig REQUIRED)
find_package(Qt5Core REQUIRED)
find_package(Qt5Concurrent REQUIRED)
find_package(Qt5DBus REQUIRED)

set(LINK_LIBS
    Qt5::Core
    Qt5::DBus
    QApt
    Qt5::Concurrent
)
include_directories(${CMAKE_CURRENT_LIST_DIR})
file(GLOB_RECURSE APP_SRCS
    ${CMAKE_CURRENT_LIST_DIR}/*.cpp
    ${CMAKE_CURRENT_LIST_DIR}/manager/*.cpp
    ${CMAKE_CURRENT_LIST_DIR}/installer/*.cpp
    ${CMAKE_CURRENT_LIST_DIR}/package/*.cpp
    ${CMAKE_CURRENT_LIST_DIR}/status/*.cpp
    )

file(GLOB_RECURSE APP_INCLUDE
    ${CMAKE_CURRENT_LIST_DIR}/deepin-deb-installer-lib_global.h
    ${CMAKE_CURRENT_LIST_DIR}/DeepinDebInstallerLib.h
    )

add_library( ${APP_BIN_NAME} SHARED ${APP_SRCS})

# Find the library
target_link_libraries(${APP_BIN_NAME}
    Qt5::Core
    Qt5::DBus
    QApt
    Qt5::Concurrent
)

set(CMAKE_INSTALL_PREFIX /usr)
# Install files

#安全测试加固编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -z relro -z now -z noexecstack -pie")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS}  -z relro -z now -z noexecstack -pie")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -fstack-protector-all")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS}  -fstack-protector-all")

SET_TARGET_PROPERTIES(${APP_BIN_NAME} PROPERTIES VERSION 1.0.0 SOVERSION 1)

install(TARGETS ${APP_BIN_NAME} LIBRARY DESTINATION lib)

install(FILES ${APP_INCLUDE} DESTINATION  include/deepin-deb-installer)

execute_process(COMMAND "ldconfig")

=== debian/changelog ===
deepin-deb-installer (5.8.24-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 17 Nov 2022 10:40:49 +0800

=== debian/control ===
--- 
+++ 
@@ -14,3 +14,4 @@
  with a simple interface for users to quickly install customized applications
  not included in App Store supporting bulk installation, version identification
  and auto completion.
+Recommends: uos-reporter, deepin-event-log

## deepin-deb-installer 5.12.4

=== CMakeLists.txt ===
# Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
#
# Author:     cuizhen <cuizhen@deepin.io>
#
# Maintainer: cuizhen <cuizhen@uniontech.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.13)

if (NOT DEFINED VERSION)
    set(VERSION 5.3.9)
endif ()

#安全测试的开关
set(CMAKE_SAFETYTEST OFF)

project(deepin_deb_installer)
option(DMAN_RELEAE OFF "Install dman resources to system or not")

find_package(Qt5LinguistTools REQUIRED)
set(POLICY_FILE com.deepin.pkexec.aptInstallDepend.policy)
add_subdirectory(src/AptInstallDepend)
add_subdirectory(src/deb-installer)
add_subdirectory(tests)
add_subdirectory(src/deepin-deb-installer-dev)
add_subdirectory(translations)
#add_subdirectory(tests/FuzzyTest)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,21 @@
-# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
+# Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
 #
-# SPDX-License-Identifier: CC0-1.0
+# Author:     cuizhen <cuizhen@deepin.io>
+#
+# Maintainer: cuizhen <cuizhen@uniontech.com>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 cmake_minimum_required(VERSION 3.7)
 if (NOT DEFINED VERSION)
@@ -174,8 +189,8 @@
     pthread
 )
 
-#add_custom_target(test
-#    COMMAND echo " =================== TEST BEGIN ==================== "
-#    COMMAND ${CMAKE_BINARY_DIR}/tests/${APP_BIN_NAME_TEST}
-#    COMMAND echo " =================== TEST END ==================== "
-#)
+add_custom_target(test
+    COMMAND echo " =================== TEST BEGIN ==================== "
+    COMMAND ${CMAKE_BINARY_DIR}/tests/${APP_BIN_NAME_TEST}
+    COMMAND echo " =================== TEST END ==================== "
+)

=== translations/CMakeLists.txt ===
# Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
#
# Author:     cuizhen <cuizhen@deepin.io>
#
# Maintainer: cuizhen <cuizhen@uniontech.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

file(GLOB APP_TS_FILES LIST_DIRECTORIES false *.ts)

qt5_add_translation(APP_QM_FILES ${APP_TS_FILES})

file(GLOB QM_FILES "${CMAKE_SOURCE_DIR}/*.qm")

install(FILES ${APP_QM_FILES} DESTINATION share/deepin-deb-installer/translations)

add_custom_target(QMFILES ALL DEPENDS ${APP_QM_FILES})

add_subdirectory(policy)

=== src/AptInstallDepend/CMakeLists.txt ===
# Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
#
# Author:     cuizhen <cuizhen@deepin.io>
#
# Maintainer: cuizhen <cuizhen@uniontech.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
cmake_minimum_required(VERSION 3.13)

if (NOT DEFINED VERSION)
    set(VERSION 5.3.9)
endif ()

project(AptInstallDepend)
set (EXE_NAME deepin-deb-installer-dependsInstall)
set(LINK_LIBS
    Qt5::Core
)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")

#安全测试加固编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -z relro -z now -z noexecstack -pie")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS}  -z relro -z now -z noexecstack -pie")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -fstack-protector-all")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS}  -fstack-protector-all")

file(GLOB_RECURSE AUTH_CPP_FILES ${CMAKE_CURRENT_LIST_DIR}/*.cpp)
add_executable (${EXE_NAME}
    ${AUTH_CPP_FILES}
)

# Find the library
find_package(Qt5Core REQUIRED)
set(CMAKE_INSTALL_PREFIX /usr)
# Install files
install(TARGETS ${EXE_NAME} DESTINATION bin)
target_link_libraries(${EXE_NAME} ${LINK_LIBS} )

=== src/deepin-deb-installer-dev/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,21 @@
-# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
+# Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
 #
-# SPDX-License-Identifier: CC0-1.0
+# Author:     cuizhen <cuizhen@deepin.io>
+#
+# Maintainer: cuizhen <cuizhen@uniontech.com>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 cmake_minimum_required(VERSION 3.13)

=== tests/FuzzyTest/CMakeLists.txt ===
# Copyright (C) 2019 ~ 2020 Uniontech Software Technology Co.,Ltd.
#
# Author:     cuizhen <cuizhen@deepin.io>
#
# Maintainer: cuizhen <cuizhen@uniontech.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.9.5)


set(EXE_LIBQAPT_NAME libqapt_test)

project(EXE_LIBQAPT_NAME)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_C_COMPILER /usr/bin/clang)
set(CMAKE_CXX_COMPILER /usr/bin/clang++)

include(FindPkgConfig)
pkg_check_modules(MOD_GOBJECT REQUIRED gobject-2.0)

find_package(Qt5 COMPONENTS Core Widgets Gui REQUIRED )


file(GLOB_RECURSE SRC_LIST FOLLOW_SYMLINKS LIST_DIRECTORIES false ${PROJECT_SOURCE_DIR}/src/*.cpp)
file(GLOB_RECURSE INC_LIST FOLLOW_SYMLINKS LIST_DIRECTORIES false ${PROJECT_SOURCE_DIR}/src/*.h)
file(GLOB_RECURSE HEAD_LIST FOLLOW_SYMLINKS LIST_DIRECTORIES false ${PROJECT_SOURCE_DIR}/include/*.h)
list(APPEND INC_LIST ${HEAD_LIST})

add_executable(${EXE_LIBQAPT_NAME} ${SRC_LIST})

target_include_directories(${EXE_LIBQAPT_NAME}
    PRIVATE Qt5::Core Qt5::Widgets Qt5::Gui )

target_link_libraries(${EXE_LIBQAPT_NAME}
    PRIVATE Qt5::Core Qt5::Widgets Qt5::Gui)

target_compile_options(${EXE_LIBQAPT_NAME}
    PRIVATE -g -std=c++11)

target_link_options(${EXE_LIBQAPT_NAME}
    PRIVATE -fsanitize=undefined,address,leak -fsanitize=fuzzer)

target_include_directories(${EXE_LIBQAPT_NAME}
    PRIVATE ${MOD_ATSPI2_INCLUDE_DIRS}
    PRIVATE ${MOD_GOBJECT_INCLUDE_DIRS}
    )

target_link_libraries(${EXE_LIBQAPT_NAME}
    PRIVATE ${MOD_ATSPI2_LIBRARIES}
    PRIVATE ${MOD_GOBJECT_LIBRARIES}
    PRIVATE libFuzzer.a
    PRIVATE pthread
    QApt)
target_link_directories(${EXE_LIBQAPT_NAME}
    PRIVATE ${MOD_ATSPI2_LIBRARY_DIRS}
    PRIVATE ${MOD_GOBJECT_LIBRARY_DIRS}
    PRIVATE ${PROJECT_SOURCE_DIR}/thirdlib
    )
set(LINK_LIBS
    QApt
)

=== debian/changelog ===
deepin-deb-installer (5.12.4-2) unstable; urgency=medium

  * debian/control:
    + update libqt5concurrent5 and libqt5widgets5 to
      libqt5concurrent5t64 and libqt5widgets5t64.
      (Closes: #1068040)
    + Bump Standards-Version to 4.6.2.
    + Change build dependency pkg-config to pkgconf.
    + Add myself to uploader list.
  * debian/clean:
    + Clean .qm files to fix ftbfs-source-after-build.
      (Closes: #1044681)

 -- Nisha Pariyar <nishapariyar48@gmail.com>  Sat, 06 Apr 2024 13:37:35 +0545

deepin-deb-installer (5.12.4-1) unstable; urgency=medium

  * New upstream release 5.12.4.
  * debian/control:
    + Add build-dep: libpolkit-qt5-1-dev.
    + Bump Standards-Version to 4.6.1.0.
  * debian/copyright:
    + Update Upstream-Contact.
    + Add new files copyright information.
    + Delete unless copyright information;
  * debian/upstream/metadata:
    + Update Bug-Database and Bug-Submit address.

 -- Clay Stan <claystan97@gmail.com>  Thu, 14 Jul 2022 13:46:16 +0800

=== debian/control ===
Source: deepin-deb-installer
Section: utils
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Yanhao Mo <yanhaocs@gmail.com>,
 Clay Stan <claystan97@gmail.com>,
 Arun Kumar Pariyar <openarungeek@gmail.com>,
 Nisha Pariyar <nishapariyar48@gmail.com>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 deepin-gettext-tools,
 libdtkwidget-dev (>= 5.5.17~),
 libqapt-dev,
 libqt5concurrent5t64,
 libqt5widgets5t64,
 pkgconf,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 libpolkit-qt5-1-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/linuxdeepin/deepin-deb-installer
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-deb-installer.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-deb-installer

Package: deepin-deb-installer
Architecture: any
Depends:
 libqapt3-runtime,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Deepin Package Manager
 Deepin Package Manager is a management tool for deb package, and is developed
 for users to easily install customized applications that are not categorized
 in Deepin Store. With an easy-to-use interface as well as functions like batch
 installation, version detection and auto-completion of dependencies, you can
 quickly get the software installed on deepin once you get the right deb
 package.
 .
 This package is part of DDE (Deepin Desktop Environment).

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

export QT_SELECT := 5

include /usr/share/dpkg/default.mk


%:
	dh $@ --buildsystem=cmake --no-parallel

override_dh_auto_configure:
	dh_auto_configure -- DEFINES+="VERSION=$(DEB_VERSION_UPSTREAM)"

execute_after_auto_clean:
	find translations -type f -name *.qm -delete

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%deepin-deb-installer-$1.tar.gz%" \
   https://github.com/linuxdeepin/deepin-deb-installer/tags \
   (?:.*?/)?(\d[\d.]*)\.tar\.gz debian uupdate

## deepin-deb-installer 6.0.6

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

cmake_minimum_required(VERSION 3.13)

if (NOT DEFINED VERSION)
    set(VERSION 5.3.9)
endif ()

#安全测试的开关
set(CMAKE_SAFETYTEST OFF)

project(deepin_deb_installer)
option(DMAN_RELEAE OFF "Install dman resources to system or not")

find_package(Qt5LinguistTools REQUIRED)
set(POLICY_FILE com.deepin.pkexec.aptInstallDepend.policy)
add_subdirectory(src/AptInstallDepend)
add_subdirectory(src/deb-installer)
if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    add_subdirectory(tests)
endif()
add_subdirectory(src/deepin-deb-installer-dev)
add_subdirectory(translations)
#add_subdirectory(tests/FuzzyTest)

=== src/AptInstallDepend/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

cmake_minimum_required(VERSION 3.13)

if (NOT DEFINED VERSION)
    set(VERSION 5.3.9)
endif ()

project(AptInstallDepend)
set (EXE_NAME deepin-deb-installer-dependsInstall)
set(LINK_LIBS
    Qt5::Core
)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")

#安全测试加固编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -z relro -z now -z noexecstack -pie")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS}  -z relro -z now -z noexecstack -pie")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -fstack-protector-all")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS}  -fstack-protector-all")

#add process directories
string(REGEX REPLACE "(.*)/(.*)" "\\1" PROJECT_INIT_PATH  ${PROJECT_SOURCE_DIR})
include_directories(${PROJECT_INIT_PATH}/deb-installer/process)

file(GLOB_RECURSE AUTH_CPP_FILES ${CMAKE_CURRENT_LIST_DIR}/*.cpp ${PROJECT_INIT_PATH}/deb-installer/process/*.cpp)
add_executable (${EXE_NAME}
    ${AUTH_CPP_FILES}
)

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5Core REQUIRED)
set(CMAKE_INSTALL_PREFIX /usr)
# Install files
install(TARGETS ${EXE_NAME} DESTINATION bin)
target_link_libraries(${EXE_NAME} ${LINK_LIBS} )
target_link_libraries(${EXE_NAME}
    Qt5::Core
    Qt5::Widgets
    Qt5::Gui)

=== src/deb-installer/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
+# SPDX-FileCopyrightText: 2022 - 2023 UnionTech Software Technology Co., Ltd.
 #
 # SPDX-License-Identifier: CC0-1.0
 
@@ -8,17 +8,42 @@
     set(VERSION 5.3.9)
 endif ()
 
+#检查qapt版本
+execute_process(COMMAND dpkg -s libqapt-dev
+                COMMAND grep Version
+                TIMEOUT 5
+                OUTPUT_VARIABLE QAPT_VERSION_STR)
+string(REPLACE "Version: " "" QAPT_VERSION_STR ${QAPT_VERSION_STR})
+message(STATUS "BUILD QAPT VERSION ${QAPT_VERSION_STR}")
+
+if(${QAPT_VERSION_STR} STRLESS "3.0.5-1")
+    if(${QAPT_VERSION_STR} STRLESS "3.0.4.8-1+deepin2")
+        message(STATUS "disable virtual package enhance")
+    else()
+        message(STATUS "enable virtual package enhance")
+        add_definitions(-DENABLE_VIRTUAL_PACKAGE_ENHANCE)
+    endif()
+else()
+    if(${QAPT_VERSION_STR} STREQUAL "3.0.5.1-1-deepin1")
+        message(STATUS "enable virtual package enhance")
+        add_definitions(-DENABLE_VIRTUAL_PACKAGE_ENHANCE)
+    else()
+        message(STATUS "disable virtual package enhance")
+    endif()
+endif()
+
 #common resource names
 set(APP_RES_DIR "${CMAKE_SOURCE_DIR}/assets")
 set(APP_BIN_NAME "deepin-deb-installer")
 set(APP_TRANS_SCRIPT "${APP_RES_DIR}/translate_generation.sh")
 set(APP_DESKTOP "${APP_RES_DIR}/deepin-deb-installer.desktop")
+set(APP_MIME "${APP_RES_DIR}/deepin-deb-installer.xml")
 set(APP_QRC "${APP_RES_DIR}/resources.qrc")
 
 project(${APP_BIN_NAME})
 
 set(CMAKE_VERBOSE_MAKEFILE ON)
-set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
@@ -131,7 +156,6 @@
 endforeach()
 
 include_directories(${CMAKE_CURRENT_LIST_DIR}/utils)
-
 file(GLOB_RECURSE APP_SRCS
     ${CMAKE_CURRENT_LIST_DIR}/*.cpp
     ${CMAKE_CURRENT_LIST_DIR}/manager/*.cpp
@@ -140,7 +164,6 @@
     ${CMAKE_CURRENT_LIST_DIR}/process/*.cpp
     ${CMAKE_CURRENT_LIST_DIR}/view/pages/*.cpp
     ${CMAKE_CURRENT_LIST_DIR}/view/widgets/*.cpp
-
     )
 
 include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
@@ -170,4 +193,7 @@
 install(TARGETS deepin-deb-installer RUNTIME DESTINATION bin)
 install(FILES ${APP_CONFIG} DESTINATION share/deepin-deb-installer)
 install(FILES ${APP_DESKTOP} DESTINATION share/applications)
+install(FILES ${APP_MIME} DESTINATION share/mime/packages)
+install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/dbus/com.deepin.DebInstaller.service DESTINATION share/dbus-1/services/)
 
+

=== debian/changelog ===
deepin-deb-installer (6.0.6-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 31 Mar 2023 13:13:10 +0800

deepin-deb-installer (6.0.6) unstable; urgency=medium

  * Merge version to 6.0.6
  * Community Edition/Server branch merge

 -- wangzhengyang <wangzhengyang@uniontech.com>  Fri, 31 Mar 2023 10:45:35 +0800

deepin-deb-installer (6.0.2) unstable; urgency=medium

  * Merge version to 6.0.2
  * Add DDIM routine

 -- wangzhengyang <wangzhengyang@uniontech.com>  Thu, 15 Feb 2023 15:07:35 +0800

deepin-deb-installer (5.8.27) unstable; urgency=medium

  * New version 5.8.27

 -- huangzhenglin <huangzhenglin@uniontech.com>  Mon, 9 Jan 2023 16:35:35 +0800

deepin-deb-installer (5.8.26) unstable; urgency=medium

  * New version 5.8.26

 -- huangzhenglin <huangzhenglin@uniontech.com>  Wed, 4 Jan 2023 16:35:35 +0800

deepin-deb-installer (5.8.25) unstable; urgency=medium

  * New version 5.8.25

 -- huangzhenglin <huangzhenglin@uniontech.com>  Tue, 3 Jan 2023 16:51:35 +0800

=== debian/control ===
Source: deepin-deb-installer
Section: utils
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 9), pkg-config, cmake, libqt5widgets5, libqt5concurrent5, libqapt-dev, libdtkwidget-dev, qtbase5-dev, qttools5-dev-tools, qttools5-dev, qtchooser, libgtest-dev,  deepin-gettext-tools,  libpolkit-qt5-1-dev
Standards-Version: 4.3.0
Homepage: https://www.deepin.com/

Package: deepin-deb-installer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqapt3-runtime, libqapt3
Description: Package Installer helps users install and remove local packages.
 Package Installer is an easy-to-use .deb package management tool 
 with a simple interface for users to quickly install customized applications
 not included in App Store supporting bulk installation, version identification
 and auto completion.
Recommends: uos-reporter, deepin-event-log
